- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# eoVRPEvalFunc Class Reference

Evaluates an individual of type eoVRP. More...

`#include <eoVRPEvalFunc.h>`

Inheritance diagram for eoVRPEvalFunc:

List of all members.

## Public Member Functions
| eoVRPEvalFunc ()
| Constructor: nothing to do here.
void | operator() (eoVRP &_eo)
| Computes the (penalized) fitness.

## Detailed Description

Evaluates an individual of type eoVRP.

Definition at line 54 of file eoVRPEvalFunc.h.

## Member Function Documentation

void eoVRPEvalFunc::operator() | ( | eoVRP & | _eo | ) | `[inline]`

Computes the (penalized) fitness.

Parameters:

  | _eo | The individual to be evaluated.

Definition at line 72 of file eoVRPEvalFunc.h.

References eoVRP::decode(), eoVRP::decoded(), EO< F >::fitness(), EO< F >::invalid(), and eoVRP::length().

The documentation for this class was generated from the following file:

- eoVRPEvalFunc.h